experiments.droneControl

## Class TestAmalom

- java.lang.Object
- - experiments.droneControl.TestAmalom

    public class TestAmalom
    extends java.lang.Object

The Class TestAmalom.

### Constructor Summary

Constructors
Constructor and Description
`TestAmalom()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.util.HashMap<java.lang.String,java.lang.Double>` `getOutputAmalom(double[] C, java.lang.String arg)` Gets the output amalom.
`static double[]` `hiddenModel10x10(double[] C)` Hidden model 10 x 10.
`static double[]` `hiddenModel2x2(double[] C)` Hidden model 2 x 2.
`static double[]` `hiddenModel3x3(double[] C)` Hidden model 3 x 3.
`static double[]` `hiddenModel5x5(double[] C)` Hidden model 5 x 5.
`static void` `main(java.lang.String[] args)` The main method.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TestAmalom

    public TestAmalom()

### Method Detail

#### main

    public static void main(java.lang.String[] args)

The main method.

Parameters:
  `args` - the arguments

#### hiddenModel2x2

    public static double[] hiddenModel2x2(double[] C)

Hidden model 2 x 2.

Parameters:
  `C` - the c
Returns:
  the double[]

#### hiddenModel3x3

    public static double[] hiddenModel3x3(double[] C)

Hidden model 3 x 3.

Parameters:
  `C` - the c
Returns:
  the double[]

#### hiddenModel5x5

    public static double[] hiddenModel5x5(double[] C)

Hidden model 5 x 5.

Parameters:
  `C` - the c
Returns:
  the double[]

#### hiddenModel10x10

    public static double[] hiddenModel10x10(double[] C)

Hidden model 10 x 10.

Parameters:
  `C` - the c
Returns:
  the double[]

#### getOutputAmalom

    public static java.util.HashMap<java.lang.String,java.lang.Double> getOutputAmalom(double[] C,
                                                                                       java.lang.String arg)

Gets the output amalom.

Parameters:
  `C` - the c
  `arg` - the arg
Returns:
  the output amalom